A webhook subscription that receives event notifications from the platform via HTTP POST. Allows integrators to react to events such as order status changes without polling.
| Name | Type | Description | |
|---|---|---|---|
id
|
number
|
Unique numeric identifier for the webhook subscription. | |
address
|
string
|
URL where the webhook subscription should send the POST request when the event occurs. | |
topic
|
string
|
Event that triggers the webhook. | |
secret
|
string
|
Secret word used to calculate x-shirtplatform-hmac-sha256 verification header | |
mediaType
|
MediaType | Format in which the webhook subscription should send the data. Valid values are JSON and XML. |
/accounts/{accountId}/shops/{shopId}/webhooks
request body
POST
/accounts/{accountId}/shops/{shopId}/webhooks
response
GET
/accounts/{accountId}/shops/{shopId}/webhooks/{id}
response
PUT
/accounts/{accountId}/shops/{shopId}/webhooks/{id}
request body
PUT
/accounts/{accountId}/shops/{shopId}/webhooks/{id}
response
POST
/accounts/{accountId}/shops/{shopId}/webhooks/{id}/testOrderEvent/{orderId}
response
{
"webhook" : {
"id" : 12345,
"address" : "https://whatever.hostname.com/",
"topic" : "orders/updated",
"secret" : "mysecretword",
"mediaType" : "JSON"
}
}
A webhook subscription that receives event notifications from the platform via HTTP POST. Allows integrators to react to events such as order status changes without polling.
| Name | Type | Description | |
|---|---|---|---|
address
|
string
|
URL where the webhook subscription should send the POST request when the event occurs. | |
id
|
int
|
Unique numeric identifier for the webhook subscription. | |
mediaType
|
MediaType | Format in which the webhook subscription should send the data. Valid values are JSON and XML. | |
secret
|
string
|
Secret word used to calculate x-shirtplatform-hmac-sha256 verification header | |
topic
|
string
|
Event that triggers the webhook. |
/accounts/{accountId}/shops/{shopId}/webhooks
request body
POST
/accounts/{accountId}/shops/{shopId}/webhooks
response
GET
/accounts/{accountId}/shops/{shopId}/webhooks/{id}
response
PUT
/accounts/{accountId}/shops/{shopId}/webhooks/{id}
request body
PUT
/accounts/{accountId}/shops/{shopId}/webhooks/{id}
response
POST
/accounts/{accountId}/shops/{shopId}/webhooks/{id}/testOrderEvent/{orderId}
response
<webhook>
<id>...</id>
<address>https://whatever.hostname.com/</address>
<topic>orders/updated</topic>
<secret>mysecretword</secret>
<mediaType>JSON</mediaType>
</webhook>